Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Messaging
Imports System.Configuration
Imports System.Text

Namespace Derrick.Web
	Partial Public Class CallComet
		Inherits System.Web.UI.Page

        'Private _cometServer As SIServer = Nothing

		Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
            '_cometClientControl.MessageToSend = "<message>Testing...</message>"
            '_messageLabel.Text = _cometClientControl.MessageReceived
            'AppConfig.BuildNewConfigFile("C:\Derrick\CometService\testcomet.conf")
            'Dim config As AppConfig = AppConfig.LoadConfig("C:\Derrick\CometService\testcomet.conf")
            '_cometServer = New SIServer(config.ServerInterface)
		End Sub

		Protected Sub _sendMsgButton_Click(ByVal sender As Object, ByVal e As EventArgs)
			Try
                '_cometServer.BroadcastMessage(_sendCometMsgTextBox.Text)
				Dim msgQueueName As String = ConfigurationManager.AppSettings("CometQueue")
				Dim intranetBannerQueue As New MessageQueue(msgQueueName)
                Dim msg = New Message(_sendCometMsgTextBox.Text, New XmlMessageFormatter(New Type() {GetType(String)}))
				intranetBannerQueue.Send(msg)
			Catch ex As Exception
                Dim err As String = ex.ToString
                Response.Write(err)
			End Try
		End Sub

		Protected Sub _numOfBytesSendButton_Click(ByVal sender As Object, ByVal e As EventArgs)
			Dim numOfBytesStr As String = _numberOfBytesTextBox.Text

			If String.IsNullOrEmpty(numOfBytesStr) Then
				Exit Sub
			End If

			Dim numOfBytes As Integer = Int32.Parse(numOfBytesStr)
			Dim messageBuilder As New StringBuilder

			For i  = 0 To numOfBytes - 1
				messageBuilder.Append("R")
			Next i

			Try
                '_cometServer.BroadcastMessage(_sendCometMsgTextBox.Text)
				Dim msgQueueName As String = ConfigurationManager.AppSettings("CometQueue")
				Dim intranetBannerQueue As New MessageQueue(msgQueueName)
                Dim msg = New Message(messageBuilder.ToString, New XmlMessageFormatter(New Type() {GetType(String)}))
				intranetBannerQueue.Send(msg)
			Catch ex As Exception
                Dim err As String = ex.ToString
                Response.Write(err)
			End Try
		End Sub
	End Class
End Namespace
